This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1283353 - [abrt] gnome-software: load(): gnome-software killed by SIGSEGV
[abrt] gnome-software: load(): gnome-software killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f53572cfbe28004214f337190ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 14:22 EST by chazzbg
Modified: 2016-12-20 11:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.69 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: core_backtrace (5.32 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: dso_list (14.44 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: environ (962 bytes, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: maps (71.53 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: mountinfo (3.72 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: open_fds (2.29 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: var_log_messages (314 bytes, text/plain)
2015-11-18 14:22 EST, chazzbg
no flags Details
File: screencast-18.11.2015-21,16,38.webm (955.15 KB, application/octet-stream)
2015-11-18 14:23 EST, chazzbg
no flags Details

  None (edit)
Description chazzbg 2015-11-18 14:22:33 EST
Description of problem:
After i upgraded from f22 to f23 , every time i open gnome-software and choose any program, gnome-software segfaults. 
Interesting part is that i have other machine , and it is working ok there 

Version-Release number of selected component:
gnome-software-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: load
executable:     /usr/bin/gnome-software
global_pid:     32323
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 load at gs-folders.c:201
 #1 g_type_create_instance at gtype.c:1874
 #2 g_object_new_internal at gobject.c:1779
 #5 gs_folders_new at gs-folders.c:316
 #6 gs_folders_get at gs-folders.c:325
 #7 gs_app_row_refresh at gs-app-row.c:178
 #8 gs_app_row_set_app at gs-app-row.c:368
 #9 gs_app_row_new at gs-app-row.c:583
 #10 gs_shell_installed_add_app at gs-shell-installed.c:161
 #11 gs_shell_installed_get_installed_cb at gs-shell-installed.c:212

Potential duplicate: bug 1229712
Comment 1 chazzbg 2015-11-18 14:22:38 EST
Created attachment 1096219 [details]
File: backtrace
Comment 2 chazzbg 2015-11-18 14:22:40 EST
Created attachment 1096220 [details]
File: cgroup
Comment 3 chazzbg 2015-11-18 14:22:41 EST
Created attachment 1096221 [details]
File: core_backtrace
Comment 4 chazzbg 2015-11-18 14:22:43 EST
Created attachment 1096222 [details]
File: dso_list
Comment 5 chazzbg 2015-11-18 14:22:44 EST
Created attachment 1096223 [details]
File: environ
Comment 6 chazzbg 2015-11-18 14:22:46 EST
Created attachment 1096224 [details]
File: exploitable
Comment 7 chazzbg 2015-11-18 14:22:47 EST
Created attachment 1096225 [details]
File: limits
Comment 8 chazzbg 2015-11-18 14:22:49 EST
Created attachment 1096226 [details]
File: maps
Comment 9 chazzbg 2015-11-18 14:22:51 EST
Created attachment 1096227 [details]
File: mountinfo
Comment 10 chazzbg 2015-11-18 14:22:52 EST
Created attachment 1096228 [details]
File: namespaces
Comment 11 chazzbg 2015-11-18 14:22:53 EST
Created attachment 1096229 [details]
File: open_fds
Comment 12 chazzbg 2015-11-18 14:22:55 EST
Created attachment 1096230 [details]
File: proc_pid_status
Comment 13 chazzbg 2015-11-18 14:22:56 EST
Created attachment 1096231 [details]
File: var_log_messages
Comment 14 chazzbg 2015-11-18 14:23:02 EST
Created attachment 1096232 [details]
File: screencast-18.11.2015-21,16,38.webm
Comment 15 Richard Hughes 2016-01-08 05:05:41 EST
Could your gsettings schema be in some way corrupt? If you create a new user, does the crash happen there?
Comment 16 chazzbg 2016-01-10 04:31:03 EST
No, i wasn't able to reproduce the issue on newly created user.
Comment 17 Richard Hughes 2016-01-11 07:44:31 EST
I think your dconf database is corrupt. I'm not sure how to recover the broken bits, as I'm not sure what else is broken.
Comment 18 Fedora End Of Life 2016-11-24 08:33:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 11:03:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.